	window.onresize = baiduResizeDiv;
	window.onerror = function(){}
	var divTop,divLeft,divWidth,divHeight,docHeight,docWidth,objTimer,i = 0;
	var px = document.doctype?"px":0;
	var scrollwidth = navigator.userAgent.indexOf("Firefox")>0?16:0;
	var iframeheight = navigator.userAgent.indexOf("MSIE")>0?170-2:209-2;
	String.prototype.Trim  = function(){return this.replace(/^\s+|\s+$/g,"");}
	function baidu_collapse(obj){
		ct = document.getElementById('tab_c_iframe');
		if(ct.style.display=="none"){
			ct.style.display="";
			obj.src=obj.src.replace("a.gif","b.gif");
		} else {
			ct.style.display="none";
			obj.src=obj.src.replace("b.gif","a.gif");
		}
		baiduResizeDiv();
	}

	function baiduMsg()
	{
		try{
			divTop = parseInt(document.getElementById("eMeng").style.top,10);
			divLeft = parseInt(document.getElementById("eMeng").style.left,10);
			divHeight = parseInt(document.getElementById("eMeng").offsetHeight,10);
			divWidth = parseInt(document.getElementById("eMeng").offsetWidth,10);

			var scrollPosTop,scrollPosLeft,docWidth,docHeight;
			if (typeof window.pageYOffset != 'undefined') { 
				scrollPosTop = window.pageYOffset; 
				scrollPosLeft = window.pageXOffset; 
				docWidth = window.innerWidth; 
				docHeight = window.innerHeight; 
			} else if (typeof document.compatMode != 'undefined' && document.compatMode != 'BackCompat') {
				scrollPosTop = document.documentElement.scrollTop;
				scrollPosLeft = document.documentElement.scrollLeft;
				docWidth = document.documentElement.clientWidth;
				docHeight = document.documentElement.clientHeight;
			} else if (typeof document.body != 'undefined') { 
				scrollPosTop = document.body.scrollTop;
				scrollPosLeft = document.body.scrollLeft;
				docWidth = document.body.clientWidth;
				docHeight = document.body.clientHeight;
			}

			document.getElementById("eMeng").style.top = parseInt(scrollPosTop,10) + docHeight + 10 + px;// divHeight
			document.getElementById("eMeng").style.left = parseInt(scrollPosLeft,10) + docWidth - divWidth - scrollwidth + px;
			document.getElementById("eMeng").style.visibility="visible";
			objTimer = window.setInterval("baidu_move_div()",10);
		}catch(e){}
	}

	function baiduResizeDiv()
	{
		i+=1;
		try{
			divHeight = parseInt(document.getElementById("eMeng").offsetHeight,10);
			divWidth = parseInt(document.getElementById("eMeng").offsetWidth,10);

			var scrollPosTop,scrollPosLeft,docWidth,docHeight; 
			if (typeof window.pageYOffset != 'undefined') { 
				scrollPosTop = window.pageYOffset; 
				scrollPosLeft = window.pageXOffset; 
				docWidth = window.innerWidth; 
				docHeight = window.innerHeight; 
			} else if (typeof document.compatMode != 'undefined' && document.compatMode != 'BackCompat') {
				scrollPosTop = document.documentElement.scrollTop;
				scrollPosLeft = document.documentElement.scrollLeft;
				docWidth = document.documentElement.clientWidth;
				docHeight = document.documentElement.clientHeight;
			} else if (typeof document.body != 'undefined') { 
				scrollPosTop = document.body.scrollTop;
				scrollPosLeft = document.body.scrollLeft;
				docWidth = document.body.clientWidth;
				docHeight = document.body.clientHeight;
			}

			document.getElementById("eMeng").style.top = docHeight - divHeight + parseInt(scrollPosTop,10) + px;
			document.getElementById("eMeng").style.left = docWidth - divWidth + parseInt(scrollPosLeft,10) - scrollwidth + px;
		}catch(e){}
	}

	function baidu_move_div()
	{

		var scrollPosTop,scrollPosLeft,docWidth,docHeight; 
		if (typeof window.pageYOffset != 'undefined') { 
			scrollPosTop = window.pageYOffset; 
			scrollPosLeft = window.pageXOffset; 
			docWidth = window.innerWidth; 
			docHeight = window.innerHeight; 
		} else if (typeof document.compatMode != 'undefined' && document.compatMode != 'BackCompat') {
			scrollPosTop = document.documentElement.scrollTop;
			scrollPosLeft = document.documentElement.scrollLeft;
			docWidth = document.documentElement.clientWidth;
			docHeight = document.documentElement.clientHeight;
		} else if (typeof document.body != 'undefined') { 
			scrollPosTop = document.body.scrollTop;
			scrollPosLeft = document.body.scrollLeft;
			docWidth = document.body.clientWidth;
			docHeight = document.body.clientHeight;
		}

		try{
			if(parseInt(document.getElementById("eMeng").style.top,10) <= (docHeight - divHeight + parseInt(scrollPosTop,10)))
			{
				window.clearInterval(objTimer);objTimer = window.setInterval("baiduResizeDiv()",1);
			}
			divTop = parseInt(document.getElementById("eMeng").style.top,10);
			document.getElementById("eMeng").style.top = divTop - 1 + px;
		}catch(e){}
	}
	function baiduMessbox(shape,color,userid){
		var styles='position:absolute;top:0px;left:0px;z-index:99999;visibility:hidden;';
		var copic='<img src="/gbook/images/ico_'+color+'a.gif" align="absmiddle" class="ioc'+color+'" onClick="baidu_collapse(this)">';
		if(shape>1) window.onload = baiduMsg;
		else {styles='';copic=''}
		var s;
		if(shape==2) {
			s='<div id=eMeng style="Z-INDEX:99999;LEFT:0px;POSITION:absolute;TOP:0px;VISIBILITY:hidden;">'
				+ '<table width="216" border="0" cellpadding="0" cellspacing="0" class="" id="tab_'+(color+3)+'" style="border:0px;">'
				+'<tr>'
				+'<td align="right"></td>'
				+'</tr>'
				+'  <tr>'
				+'    <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">'
				+'        <tr>'
				+'          <td width="32" rowspan="2" valign="bottom"><img src="/gbook/images/ico'+(color+1)+'.gif"></td>'
				+'          <td>&nbsp;</td>'
				+'        </tr>'
				+'        <tr>'
				+'          <td align=right style="font-size:12px;cursor:hand;background:url(/gbook/images/bg_'+color+'.gif);line-height:21px;height:21px;border-top:1px solid #808080;border-right:1px solid #808080;padding-right:6px;color:#FFFFFF;"><font color="#FFFFFF">点击展开/收缩留言本→</font> <img src="/gbook/images/ico_'+color+'a.gif" align="absmiddle" class="ioc'+color+'" onClick="baidu_collapse(this)" alt="点击展开/收缩留言本">'
				+'		  </td>'
				+'        </tr>'
				+'      </table>'
				+'	  </td>'
				+'    </tr>'
				+''
				+''
				+''
				+''
				+''
				+ '</table>'

				+ '<iframe src="/gbook/side.html?userid=' +userid+ '" width="216" height="' + iframeheight + '" frameborder="0" id="tab_c_iframe" style="display:none"></iframe>'
				+'</div>';
		} else if(shape==3) {
			s='<div id=eMeng style="Z-INDEX:99999;LEFT:0px;POSITION:absolute;TOP:0px;VISIBILITY:hidden;">'
				+ '<table width="216" border="0" cellpadding="0" cellspacing="0" class="" id="tab_'+(color+3)+'" style="border:0px;">'
				+'<tr>'
				+'<td align="right"></td>'
				+'</tr>'
				+'  <tr>'
				+'    <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">'
				+'        <tr>'
				+'          <td width="32" rowspan="2" valign="bottom"><img src="/gbook/images/ico'+(color+1)+'.gif"></td>'
				+'          <td>&nbsp;</td>'
				+'        </tr>'
				+'        <tr>'
				+'          <td align=right style="font-size:12px;cursor:hand;background:url(/gbook/images/bg_'+color+'.gif);line-height:21px;height:21px;border-top:1px solid #808080;border-right:1px solid #808080;padding-right:6px;color:#FFFFFF;"><font color="#FFFFFF">点击展开/收缩留言本→</font> <img src="/gbook/images/ico_'+color+'b.gif" align="absmiddle" class="ioc'+color+'" onClick="baidu_collapse(this)" alt="点击展开/收缩留言本">'
				+'		  </td>'
				+'        </tr>'
				+'      </table>'
				+'	  </td>'
				+'    </tr>'
				+''
				+''
				+''
				+''
				+''
				+ '</table>'
				+ '<iframe src="/gbook/side.html?userid=' +userid+ '" width="216" height="' + iframeheight + '" frameborder="0" id="tab_c_iframe" style="display:none"></iframe>'
				+'</div>';
		}
		document.writeln(s);
	}
	
	baiduMessbox(2,1, 849620);
